Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026242
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2014-04-10 17:302014-05-28 19:08
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision927030652194
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Torafaroda
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026242: Orders could be reactivated although they have a related payment if it is not paid

DescriptionOrders could be reactivated although they have a related payment if it is not paid. The Received amount in the order's Payment Plan is 0 if the payment status is Awaiting Execution or Remitted. Wrong schedule details are created when booking the order again
Steps To ReproduceAs group admin role:
   Create a Payment Method with the following configuration:
      Payment In Allowed: 'Y'
      Execution Type: Automatic
      Execution Process: Simple Execution Process
      Deferred: Y
   Add it to the financial account of a BP
   Create two Sales Orders for that business partner
   Create a Sales Invoice and include that orders
   Create a Payment In with the previously created payment method and add the previously created documents (Transaction Type: Orders and Invoices)
   Reactivate one of the orders and book it again
   Check in the payment lines that both details are related with the reactivated order
Proposed SolutionChange the query that searches for the payments associated to the order in aprm_gen_paymentschedule_ord database function

A modulescript is needed in order to correct the data inconsistencies caused by these bug

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0026772 newjonalegriaesarte Should implement a feature to execute again alerts defined as type 'E' (external) 
related to defect 00317013.0PR16Q1 closednonofrancisco It is not possible to modify order's payment terms when related partial invoice is in Void status 

-  Notes
(0067246)
AtulOpenbravo (developer)
2014-05-19 10:30

Test Plan
- Login as F&B International Group Admin role.
- Create a Payment Method with the following configuration:
      Payment In Allowed: 'Y'
      Execution Type: Automatic
      Execution Process: Simple Execution Process
      Deferred: Y
- Add it to the financial account of a Business partner.
- Create two Sales Orders for that business partner and book them using above payment method. Make sure that business partner does not have any discount setting enable in Basic Discount Tab.
- Create a Sales Invoice and include that orders using Create Lines From, book it.
- Create a Payment In with the previously created payment method and add the previously created documents (Transaction Type: Orders and Invoices). Do not execute the payment.
-Try to reactivate one of the orders, Message will be shown "Order has related payments <paymentno>".
(0067247)
hgbot (developer)
2014-05-19 11:50

Repository: erp/devel/pi
Changeset: 9270306521940f4f16c1a9c0f90a71495fae5087
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon May 12 22:19:01 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/9270306521940f4f16c1a9c0f90a71495fae5087 [^]

Fixes Issue 26242: Avoid reactivating orders with payment awaiting execution.
Modulescript to create alerts for orders having wrong payment plan info.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_GEN_PAYMENTSCHEDULE_ORD.xml
A modules/org.openbravo.advpaymentmngt/build/classes/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongOrders.class
A modules/org.openbravo.advpaymentmngt/build/classes/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongOrdersData.class
A modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongOrders.java
A modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongOrders_data.xsql
A modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongOrdersData.java
---
(0067323)
hudsonbot (developer)
2014-05-20 17:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8d555b8cf67e [^]
Maturity status: Test
(0067483)
hgbot (developer)
2014-05-27 17:15

Repository: erp/devel/pi
Changeset: e26f3940e38893210f030bc96847ef7e63173bcc
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue May 27 20:43:26 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/e26f3940e38893210f030bc96847ef7e63173bcc [^]

Related To Issue 26242:Performance of Alert Rules created in AlertsWrongOrders
Modulescript

---
M modules/org.openbravo.advpaymentmngt/build/classes/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongOrders.class
M modules/org.openbravo.advpaymentmngt/build/classes/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongOrdersData.class
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongOrders.java
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongOrders_data.xsql
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongOrdersData.java
---
(0067486)
rafaroda (developer)
2014-05-27 17:25

Reviewed code and tested fix that addressed performance https://code.openbravo.com/erp/devel/pi/rev/e26f3940e388 [^]
(0067541)
hudsonbot (developer)
2014-05-28 19:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ede645e45d60 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-04-10 17:30 ngarcia New Issue
2014-04-10 17:30 ngarcia Assigned To => jonalegriaesarte
2014-04-10 17:30 ngarcia Modules => Core
2014-04-10 17:30 ngarcia Triggers an Emergency Pack => No
2014-04-10 17:30 ngarcia Issue Monitored: networkb
2014-04-10 18:59 ngarcia Modules Core => Advanced Payables and Receivables Mngmt
2014-04-28 16:55 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-05-07 09:41 AtulOpenbravo Assigned To pramakrishnan => AtulOpenbravo
2014-05-07 09:41 AtulOpenbravo Status new => scheduled
2014-05-07 09:41 AtulOpenbravo fix_in_branch => pi
2014-05-19 10:20 AtulOpenbravo Review Assigned To => rafaroda
2014-05-19 10:20 AtulOpenbravo fix_in_branch pi =>
2014-05-19 10:30 AtulOpenbravo Note Added: 0067246
2014-05-19 11:50 hgbot Checkin
2014-05-19 11:50 hgbot Note Added: 0067247
2014-05-19 11:50 hgbot Status scheduled => resolved
2014-05-19 11:50 hgbot Resolution open => fixed
2014-05-19 11:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9270306521940f4f16c1a9c0f90a71495fae5087 [^]
2014-05-20 17:53 hudsonbot Checkin
2014-05-20 17:53 hudsonbot Note Added: 0067323
2014-05-27 17:15 hgbot Checkin
2014-05-27 17:15 hgbot Note Added: 0067483
2014-05-27 17:25 rafaroda Note Added: 0067486
2014-05-27 17:25 rafaroda Status resolved => closed
2014-05-28 19:08 hudsonbot Checkin
2014-05-28 19:08 hudsonbot Note Added: 0067541
2014-06-03 16:30 maite Relationship added related to 0026772
2015-12-17 12:58 vmromanos Relationship added related to 0031701


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker